mod render_context;
mod app;
pub use app::App;

mod scene;
pub use scene::Scene;

use std::sync::Arc;
use vulkano::image::Image;
use vulkano::image::view::ImageView;


/// This function is called once during initialization, then again whenever the window is resized.
fn window_size_dependent_setup(images: &[Arc<Image>]) -> Vec<Arc<ImageView>> {
    images
        .iter()
        .map(|image| ImageView::new_default(image.clone()).unwrap())
        .collect::<Vec<_>>()
}
